Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

modulemd-validator-2.12.0-lp152.8.6.1 RPM for aarch64

From OpenSuSE Ports Leap 15.2 updates for aarch64

Name: modulemd-validator Distribution: openSUSE Leap 15.2
Version: 2.12.0 Vendor: openSUSE
Release: lp152.8.6.1 Build date: Tue May 4 14:13:39 2021
Group: System/Packages Build host: obs-arm-7
Size: 82538 Source RPM: libmodulemd-2.12.0-lp152.8.6.1.src.rpm
Packager: http://bugs.opensuse.org
Url: https://github.com/fedora-modularity/libmodulemd
Summary: Tool for validating modulemd data
The modulemd-validator tool provides the facility for verifying
constructed modulemd data is correct and usable.

Provides

Requires

License

MIT

Changelog

* Tue Feb 02 2021 Neal Gompa <ngompa13@gmail.com>
  - Update to 2.12.0
    + Add support for 'buildorder' to Packager documents
    + Fix issue with ModuleIndex when input contains only Obsoletes documents
    + Extend read_packager_[file|string]() to support overriding the module name
      and stream.
    + Ignore Packager documents when running ModuleIndex.update_from_*()
    + Add python overrides for XMD in PackagerV3
    + Add python override to ignore the GType return when reading packager files
    + Add PackagerV3.get_mdversion()
  - Drop patch incorporated in this release
    + Patch: 0001-Fix-integer-size-issue-on-32-bit-platforms.patch
* Sun Nov 29 2020 Neal Gompa <ngompa13@gmail.com>
  - Update to 2.10.0
    + Add modulemd-obsoletes
    + Add modulemd v3 format
  - Fix build for 32-bit architectures with patch from upstream
    + Patch: 0001-Fix-integer-size-issue-on-32-bit-platforms.patch
* Tue Jul 07 2020 Neal Gompa <ngompa13@gmail.com>
  - Rebase to 2.9.4
    + Deprecate reset methods in favor of clear methods
    + Add modulemd-validator man page
    + Add Module.search_streams_by_glob()
    + Add ModuleIndex.search_streams() method
    + Add Modulemd.Module.search_streams_by_nsvca_glob()
    + Add ModuleIndex.search_streams_by_nsvca_glob()
    + Add ModuleIndex.search_rpms()
    + Add ModuleStreamV2.search_profiles()
    + Add framework for handling modulemd-packager YAML documents
    + Return appropriate error when parsing a ModulemdStream doc fails
    + Rework ModulemdError and ModulemdYamlError
    + Improve Modulemd*ErrorEnum deprecations
    + Use the new error enums everywhere
    + Fix inconsistent error setting
    + Make SKIP_UNKNOWN return UNKNOWN_ATTR in strict mode
    + modulemd-packager: Check for extraneous attributes
    + Fix bug printing negative buildorder values
    + Handle NULL nsvca_patterns for globs
    + Relax handling of differing content for the same NSVCA
* Sun Jan 19 2020 Neal Gompa <ngompa13@gmail.com>
  - Update to 2.8.3
    + Detect GDate autoptr when available to fix build with glib2 >= 2.63.3
    + Correct typo in MODULEMD_REPLACE_SET()
    + Fix modulemd_buildopts_copy() to make a deep copy of the rpm whitelist
    + Add support for new ModulemdBuildopts arches attribute
* Sun Dec 01 2019 Neal Gompa <ngompa13@gmail.com>
  - Update to 2.8.2
    + modulemd v1 has been split out into is own tarball
    + Add ModuleIndexMerger.resolve_ext()
    + Fix transfer type for Module.search_streams()
    + Correct typo in ModulemdModuleStream.arch property nickname
    + Add gtk-doc descriptions for ModulemdModuleStream object properties
    + Fix modulemd_yaml_parse_bool() comparisons so return value is correct
    + Make ModulemdErrorEnum and ModulemdYamlErrorEnum into public enums
    + Move modulemd_module_stream_v2_replace_*() method definitions
      to correct header file and add documentation
    + Refactor stream copy/upgrade helper macros
    + Add Modulemd.Module.get_translation()
    + Add ModuleIndex.update_from_defaults_directory()
    + Modulemd.ModuleIndex.update_from_file() now supports reading files
      compressed with gzip, bzip2 or xz
  - libmodulemd1 has been split into its own package
* Fri May 24 2019 Neal Gompa <ngompa13@gmail.com>
  - Update to 2.5.0 (v2) and 1.8.11 (v1)
    + Ensure that XMD is always emitted in the same order
    + Add .clear_*() functions for all .add_*() functions
    + Add ModuleStream.equals()
    + Add ModuleIndex.get_default_streams()
    + Add ModuleStreamV2.clear_dependencies() and .remove_dependencies()
    + Fix bugs and memory issues with the XMD python bindings
    + Assorted documentation enhancements
* Fri May 10 2019 Neal Gompa <ngompa13@gmail.com>
  - Update to 2.3.1 (v2) and 1.8.8 (v1)
    + Make Modulemd.Component.set_*() functions accept NULL (gh#fedora-modularity/libmodulemd#279)
    + Fix segmentation fault in XMD code due to improper memory management (gh#fedora-modularity/libmodulemd#274)
    + Fix assorted documentation issues
  - Disable executing test suite on ARM and RISC-V due to performance issues with builders
* Sun Apr 28 2019 Neal Gompa <ngompa13@gmail.com>
  - Add missing dependency on six module for Python 3 bindings subpackage
* Tue Apr 23 2019 Neal Gompa <ngompa13@gmail.com>
  - Update to 2.3.0 (v2) and 1.8.7 (v1)
    + Add ModuleIndex.update_from_custom()
    + Add ModuleIndex.dump_to_custom()
    + Add Component.equals()
    + Add Module.remove_streams_by_NSVCA()
    + Fix bug with emitting lists of scalars in XMD
    + Fix bug with deduplication in the ModuleIndexMerger
    + Fix serious memory leak
  - Drop patch included in upstream release
    * 0001-Only-require-python2-if-installing-overrides.patch
* Sun Mar 31 2019 Neal Gompa <ngompa13@gmail.com>
  - Update to 2.2.2 (v2) and 1.8.5 (v1)
    + Fix documentation for ModuleStream.depends_on_stream()
    + Update APIs to handling full NSVCA of modules
    + Add new APIs for handling full NSVCA of modules
    + Add 'buildonly' option for components
    + Add 'buildafter' component
    + Add config option for python overrides
  - Drop patches included in upstream release
    * 0001-V2-Add-missing-include-for-string.h-to-modulemd-util.patch
    * 0002-Tests-Use-bin-bash-for-interpreter-shebangs-for-shel.patch
  - Add patch backported from upstream to avoid Python 2 dependency
    * 0001-Only-require-python2-if-installing-overrides.patch
* Tue Feb 05 2019 Neal Gompa <ngompa13@gmail.com>
  - Add patches backported from upstream to fix build on openSUSE
    * 0001-V2-Add-missing-include-for-string.h-to-modulemd-util.patch
    * 0002-Tests-Use-bin-bash-for-interpreter-shebangs-for-shel.patch
  - Run tests during package builds
* Sun Feb 03 2019 Neal Gompa <ngompa13@gmail.com>
  - Initial packaging based on Mageia package

Files

/usr/bin/modulemd-validator
/usr/share/doc/packages/modulemd-validator
/usr/share/doc/packages/modulemd-validator/README.md
/usr/share/licenses/modulemd-validator
/usr/share/licenses/modulemd-validator/COPYING
/usr/share/man/man1/modulemd-validator.1.gz


Generated by rpm2html 1.8.1

Fabrice Bellet, Mon Nov 29 23:59:34 2021